org.apache.xmpbox.xml

## Class DomHelper

- java.lang.Object
- - org.apache.xmpbox.xml.DomHelper

    public final class DomHelper
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static List<Element>` `getElementChildren(Element description)`
`static Element` `getFirstChildElement(Element description)` Return the first child element of the element parameter.
`static QName` `getQName(Element element)`
`static Element` `getUniqueElementChild(Element description)`
`static boolean` `isParseTypeResource(Element element)`
`static boolean` `isRdfDescription(Element element)` Deprecated. This will be removed in 4.0.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getUniqueElementChild

    public static Element getUniqueElementChild(Element description)
                                         throws XmpParsingException

Throws:
  `XmpParsingException`

#### getFirstChildElement

    public static Element getFirstChildElement(Element description)

Return the first child element of the element parameter. If there is no child, null is returned

Parameters:
  `description` - the parent element
Returns:
  the first child element. Might be null.

#### getElementChildren

    public static List<Element> getElementChildren(Element description)

#### getQName

    public static QName getQName(Element element)

#### isRdfDescription

    @Deprecated
    public static boolean isRdfDescription(Element element)

Deprecated. This will be removed in 4.0.

Parameters:
  `element` -
Returns:

#### isParseTypeResource

    public static boolean isParseTypeResource(Element element)